<?php
session_start();
$info = array();
if (isset($_SESSION['applicant'])) {
    $info=$_SESSION['applicant'];
    require 'config.php';
    $appid=$info['id'];
    $ap="";
}else{
    header("Location:index.php?err=please Login First");
}


 ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <!-- This file has been downloaded from Bootsnipp.com. Enjoy! -->
    <title>SISFM Online Application</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/nav.css" rel="stylesheet">
    <style type="text/css">


    </style>
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
</head>
<body >

<nav class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation" style="margin-bottom: 20px;">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <!-- logo -->
      <a class="navbar-brand" href=""><img alt="alternative text" src="images/banner.png" style="border-radius: 30px;" /></a>     
    </div>
    <div class="collapse navbar-collapse animated fadeIn" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav animated fadeIn text16">
        
       
      </ul>
      <ul class="nav navbar-nav navbar-right">
  <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="fa fa-home"></span> Hi <?php echo $info['fname'];?> <span class="caret"></span></a>
          <ul class="dropdown-menu animated flipInX" role="menu">
    <!--         <li><a href="#"><span class="fa fa-folder"></span>   My Application</a></li>
            <li><a href="#"><span class="fa fa-lock"></span>   Change Password</a></li> -->
            <li><a href="logout.php"><span class="fa fa-sign-out "></span> Logout</a></li>
            
          </ul>
        </li>
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>


<div class="row" style="margin-top: 80px; min-height: 50px; background-color: #EEE; border-bottom: solid red 4px;">
<div class="col-md-12" >
<div class="col-md-8" style="padding-top: 8px;">
<b style="font-size: 25px;">Sali International School Of Fertility Medicine </b><b> </b>
</div>
</div>      
</div>

<div class="container">
<div class="row">
<div class="col-md-12">
<table class="table" style="margin-bottom: 40px;">
    <thead>
        <th>S/n</th>
        <th>Application Id</th>
        <th>Applicant Name</th>
        <th>In Take</th>
        <th>Submit Date</th>
        <th>Application Status</th>
        <th>Admission Status</th>
        <th>Action</th>
    </thead>
    <tbody>
        <?php 
        $i=1;
        $sql="SELECT a.id as app_id ,u.id,u.fname,u.oname,u.lname,c.name as cname,c.duration,a.start_date,a.app_status,a.date_finished,a.admitted  from users u,courses c,applications a where (u.id='$appid' AND c.id=a.course_id) AND (a.user_id=u.id)";
        $query=mysqli_query($con,$sql);
        if(mysqli_num_rows($query)>0){
            $ap=1;
        while($row=mysqli_fetch_array($query)){
$action='';

if ($row['app_status']=='Not Completed') {
  $action='<a href="app_form.php?app='.$row['app_id'].'" class="btn btn-warning"> Continue</a>';
}else if($row['admitted']=='Rejected'){
  $action='<a href="view_application.php?app='.$row['app_id'].'" class="btn btn-primary">View Application</a>';  
}

else{
  $action='<a href="view_application.php?app='.$row['app_id'].'" class="btn btn-primary">View Application</a>';  
}


           
            echo '
            <tr>

<td>'.$i++.'</td>
<td><a href="application.php?id='.$row['id'].'">'.$row['id'].'</a></td>
<td>'.$row['fname'].' '.$row['oname'].' '.$row['lname'].'</td>
<td>'.$row['cname'].'</td>
<td>'.$row['date_finished'].'</td>
<td>'.$row['app_status'].'</td>
<td>'.$row['admitted'].'</td>
<td>

'.$action.'
</td>

            </tr>
            ';
        }

    }else{
        $ap=0;
        echo '
        <tr>
        <td colspan="6">
<div class="alert alert-danger">Submit Your Application By Selecting The Course and Intakes Bellow '.mysqli_error($con).'</div>
        </td>
        </tr>';
    }

    if (isset($_GET['err'])) {
         echo '
        <tr>
        <td colspan="6">
<div class="alert alert-danger">'.$_GET['err'].'</div>
        </td>
        </tr>';
    }

        ?>
    </tbody>
</table>
    
</div>
</div>
<div class="row">
<div class="col-md-12">
<div class="col-md-8" >
    
<h3>Application requirements</h3>

<p>Please make sure that you have below mentioned scanned documents before filling this application form.</p>

<p>Documents List</p>
<ol>
<li>    Passport Size photo (100KB)</li>
<li>    CV (200KB)</li>
<li>    At least three previous Accademic Certificate (50KB Each)</li>
<li>    A Motivation Letter (50KB)</li>

</ol>


</div>

<div class="col-md-4" style="display:<?php if ($ap==1) {echo 'none';}else{echo'block';} ?>;">
    <form method="POST" Action="submit_application.php">
      
        <div class="form-group" >
        Course
        <select class="form-control" name="course" onchange="getIntake(this.value)">
            <option value="0" selected="" disabled=""> Select Course</option>
            <?php
            $course_query=mysqli_query($con,"SELECT * FROM courses");
            while ($course=mysqli_fetch_array($course_query)) {
                echo '<option value='.$course['id'].'>'.$course['name'].'</option>';
            }

            ?>

        </select>
            
        </div>

          <div class="form-group">
        Intake
        <select class="form-control" name="intake" id="intake">
           
           
        </select>
          <input type="hidden" name="id" value="<?php echo $appid; ?>">  
        </div>
        <div class="form-group">
       <Button type="submit" name="submit"  class="btn btn-primary btn-block">Apply </Button>
            
        </div>
    </form>
</div>
<div class="col-md-4" style="display: <?php if ($ap==1) {echo 'block';}else{echo'none';} ?>;">

</div>
    
</div>
</div>
</div>
<div class="footer" style="text-align: center;">
  <div class="footer-content">  &copy SISFM 2021 </div>
</div>
<script type="text/javascript">
function getIntake(id){
   $.ajax({
            type: 'POST',
            url: 'getIntake.php',
            data: 'id='+id,
            dataType: 'html',
            cache: false,
            success: function(result) {
                //$('#content1').html(result[0]);
                document.getElementById("intake").innerHTML=result;
                //$('#').val(result['id']);
                
            },
        });
}
</script>

</body>
</html>
