<?php 
include 'session.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SISFM Applications - Application Details </title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet"> -->

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
  <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
 <?php
include "sidebar.php";

  ?>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
       <?php 


       include "header.php";?>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Application Details</h1>
           <!--  <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm" onclick="addcourse()"></a> -->
          </div>

          <!-- Content Row -->
           <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">Application Details</h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <?php
                    if (isset($_GET['err'])) {
                     echo "<div class='alert alert-danger'> ".$_GET['err']."</div>";
                    }

                      if (isset($_GET['msg'])) {
                     echo "<div class='alert alert-success'> ".$_GET['msg']."</div>";
                    }
                    ?>
<?php                    
 $id=$_GET['id'];
$getdet=mysqli_query($con,"SELECT a.course_id,u.fname,u.oname,u.lname,u.address,u.city,u.dob,u.email,u.gender,u.id as uid,u.image_url,u.organisation,u.phone,u.qualification,u.work_position,u.country,a.app_status,a.admitted,a.start_date FROM applications a , users u WHERE a.user_id=u.id AND a.id='$id' ");
$details=mysqli_fetch_array($getdet);
$course_id=$details['course_id'];
?>
<h2>Personal Details</h2>
<hr/>
<div class="row" >
<input type="hidden" name="id" id="appid" value="<?php echo $id; ?>">
<div class="col-md-9">
<!--Row 1-->
 <table class="table">
    <tr>
<td class="col-md-4 form-group">
 First Name<br>
 <b style="margin-top: 1px;"><?php  echo $details['fname'];?></b>
</td>
<td class="col-md-4 form-group">
 Middle Name<br>
 <b style="margin-top: 1px;"><?php  echo $details['oname'];?></b>
</td>
<td class="col-md-4 form-group">
 Last Name<br>
 <b style="margin-top: 1px;"><?php  echo $details['lname'];?></b>
</td>
</tr>
<!--row 2-->
<tr>
<td class="col-md-4 form-group">
Physical Address<br>
 <b style="margin-top: 1px;"><?php  echo $details['address'];?></b>
</td>
 <td class="form-group col-md-4">
  Date Of Birth<br>
 <b style="margin-top: 1px;"><?php  echo date("d/M/Y",strtotime($details['dob']));?></b>
  </td>
<td class="col-md-4 form-group">
Gender<br>
 <b style="margin-top: 1px;"><?php  echo $details['gender'];?></b>
</td>
</tr>
<tr>
<!--Row 3-->
<td class="col-md-4 form-group">
 Phone<br>
 <b style="margin-top: 1px;"><?php  echo $details['phone'];?></b>
</td>
<td class="col-md-4 form-group">
 Email<br>
 <b style="margin-top: 1px;"><?php  echo $details['email'];?></b>
</td>
<td class="col-md-4 form-group">

 Qualification<br>
 <b style="margin-top: 1px;"><?php  echo $details['qualification'];?></b>

</td>
</tr>
</table>
<input type="hidden" id="id" >

</div>
<div class="col-md-3 form-group">
<div class="pull-left">
<div> Photo / Image</div>
 <img src="../apply/<?php  echo $details['image_url'];?>" style="width: 150px; height: 150px;"  class="pull-left">
 <!-- <div style="text-align: center; font-size: 30px;"><i class="fa fa-camera" id="select_logo"></i></div>
 -->
 </div>
</div>



<div class="col-md-9">
  <table class="table">
    <tr>
<td class="col-md-3 form-group">
Organisation<br>
 <b style="margin-top: 1px;"><?php  echo $details['organisation'];?></b>
</td>
<td class="col-md-3 form-group">
Work Position<br>
 <b style="margin-top: 1px;"><?php  echo $details['work_position'];?></b>
</td>
<td class="col-md-3 form-group">
City<br>
 <b style="margin-top: 1px;"><?php  echo $details['city'];?></b>
</td>
<td class="col-md-3 form-group">
Country<br>
 <b style="margin-top: 1px;"><?php  echo $details['country'];?></b>
</td>


</tr>
</table>
    </div>
</div>
<hr>

<?php
$getcourse=mysqli_query($con,"SELECT * FROM courses WHERE id='$course_id'");
$c_details=mysqli_fetch_array($getcourse);

echo mysqli_error($con);
 ?>
<div class="row">
    
<div class="col-md-10">
  <h2>Course Details</h2>
   <table class="table">
    <tr>
<td class="col-md-4 form-group">
Course Code <br>
 <b style="margin-top: 1px;"><?php  echo $c_details['couse_code'];?></b>
</td>
<td class="col-md-4 form-group">
Course Name<br>
 <b style="margin-top: 1px;"><?php  echo $c_details['name'];?></b>
</td>
<td class="col-md-4 form-group">
Start Date <br>
 <b style="margin-top: 1px;"><?php  echo date("d/M/Y",strtotime($details['start_date']));?></b>
</td>

</tr>
</table>

    </div>
</div>  


<div class="row">
    
<div class="col-md-10">
  <?php 
  $d=mysqli_query($con,"SELECT * FROM education WHERE app_id='$id'");
$check_docs=mysqli_num_rows($d);

if ($check_docs>0) {
  echo '<div class="alert alert-success" style="text-align:center;">Your Application has '.$check_docs.' Attached </div>';
echo '<table class="table">';
 while($doc=mysqli_fetch_array($d)){

echo '<tr>
<td>'.$doc['doc_type'].'</td>
<td><a href="/apply/'.$doc['doc_url'].'" class="btn btn-success fa fa-download" target="_blank"> Download </a></td>
</tr>';

  }

echo '</table>';
}else{
 echo '<div class="alert alert-warning">'.$check_docs.' Uploaded. Kindly Upload your Documents and submit your Application</div>';
}



?>


  
</div>
<div class="col-md-10">



   <div class="col-md-6 form-group" >
     <form action="acceptapplication.php" method="POST">
      <input type="hidden" name="course" value="<?php echo $c_details['name']; ?>">
      <input type="hidden" name="course_code" value="<?php echo $c_details['couse_code']; ?>">
       <input type="hidden" name="fname" value="<?php echo $details['fname']; ?>">
        <input type="hidden" name="lname" value="<?php echo $details['lname']; ?>">
        <input type="hidden" name="organisation" value="<?php echo $details['organisation']; ?>">
       <input type="hidden" name="email" value="<?php echo $details['email']; ?>">
       <input type="hidden" name="app_no" value="<?php echo $id; ?>">
    <?php
    if ($details['app_status']=='Completed') {
      echo '<button class="btn btn-info" name="accept" value="1"> Accept Application</button>';
       echo '<button class="btn btn-danger" name="reject" value="0"> Reject Application</button>';
    }else{
      echo '<button class="btn btn-info" disabled="">Accept Application</button>';
    }
     

     ?>
   </form>
   </div>
</div>



    </div>

              </div>
            </div>
          </div>

          


        

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
  <?php
  include 'footer.php'; 
  ?>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="addcourse" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Add New Course </h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">

 <form method="POST" action="addcourse.php">
        <div class="modal-body" >

          <div class="form-group">
            Course Name 
          <input type="text" name="name" class="form-control" placeholder="Course Name " required=""> 
        </div>

        <div class="form-group">
        Course Duration
     <input type="text" name="duration" class="form-control" placeholder="Course Duration " required=""> 
    </div>

        <div class="form-group">
       Course Code
      <input type="text" name="code" class="form-control" placeholder="Course Code " required=""> 
    </div>


        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" type="submit">Add Course </button>
        </div>

        </form>




</div>
       
      </div>
    </div>
  </div>

  <!-- Logout Modal-->
  <div class="modal fade" id="editcourse" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Edit Course </h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">

 <form method="POST" action="updatecourse.php">
        <div class="modal-body" >

          <div class="form-group">
            Course Name 
          <input type="text" name="name" id="name" class="form-control" placeholder="Course Name " required=""> 
        </div>

        <div class="form-group">
        Course Duration
     <input type="text" name="duration" id="duration" class="form-control" placeholder="Course Duration " required=""> 
    </div>

        <div class="form-group">
       Course Code
      <input type="text" name="code" id="code" class="form-control" placeholder="Course Code " required=""> 
    </div>
    <input type="hidden" name="id" id="id">

        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" type="submit">Update Course </button>
        </div>

        </form>




</div>
       
      </div>
    </div>
  </div>








  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/chart.js/Chart.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/chart-area-demo.js"></script>
  <script src="js/demo/chart-pie-demo.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/datatables/jquery.dataTables.min.js"></script>
  <script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/datatables-demo.js"></script>

  <script>
    function addcourse(){
    $("#addcourse").modal("show");
    }


    function editcourse(id){
      $.post( "getcoursedetails.php", { id: id})
  .done(function(data) {
    var response = jQuery.parseJSON(data);
      $("#editcourse").modal("show");
      $("#name").val(response['name']);
      $("#duration").val(response['duration']);
      $("#code").val(response['code']);
      $("#id").val(response['id']);

  },"json");
    }


        function deletecourse(id){
let r=confirm("Do you want to Delete  this Course?");

if (r==true) {
$.post( "deletecourse.php", { id: id})
  .done(function( data ) {
     location.reload(true);
    // alert( data );
    // location.reload(true);
  });

}else{

}

  }
  </script>

</body>

</html>
