<?php 
include 'session.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SISFM Applications - Intakes </title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet"> -->

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
  <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
 <?php
include "sidebar.php";

  ?>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
       <?php 


       include "header.php";?>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Inatkes</h1>
            <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm" onclick="addnewintake()"><i class="text-white-50"></i> Add New Intake</a>
          </div>

          <!-- Content Row -->
           <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">Intakes</h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>S/N</th>
                      <th>Course</th>
                      <th>Start Time</th>
                      <th>Status</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>S/N</th>
                     <th>Course</th>
                      <th>Start Time</th>
                      <th>Status</th>
                      <th>Action</th>
                    </tr>
                  </tfoot>
                  <tbody>

                    <?php 
$query=mysqli_query($con,"SELECT c.name as course_name,i.name as start_time,i.status,i.id FROM courses c, intakes i WHERE i.course_id=c.id ORDER BY i.name DESC") ;

if (mysqli_num_rows($query)>0) {

  $i=1;
  while($row=mysqli_fetch_array($query)){

$status='';
if ($row['status']==1) {
  $status="<button disabled='' class='btn btn-success'> On Going</button>";
}else{
   $status="<button disabled='' class='btn btn-danger'> Closed</button>";
}


  echo '
<tr>
                      <td>'.$i++.'</td>
                      <td>'.$row['course_name'].'</td>
                      <td>'.date("d M Y",strtotime($row['start_time'])).'</td>
                      <td>'.$status.'</td>
                      <td>
                        <div class="dropdown mb-4">
                    <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      Action
                    </button>
                    <div class="dropdown-menu animated--fade-in" aria-labelledby="dropdownMenuButton">
                      <a class="dropdown-item" href="#" onclick="changestatus('.$row['id'].','.$row['status'].')">Change status</a>
                      <a class="dropdown-item" href="#" onclick="deleteintake('.$row['id'].')">Delete</a>
                    </div>
                  </div>
                      </td>
                    </tr>

  ';

}




}else{
  echo 'No Results Found';
}

                    ?>

                    
                  
                  </tbody>
                </table>
              </div>
            </div>
          </div>

          


        

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
  <?php
  include 'footer.php'; 
  ?>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="addintake" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
    <div class="modal-dialog" role="document" style="width: 1000px;">
      <div class="modal-content"  >
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Add New Course In Take </h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <form method="POST" action="addintake.php">
        <div class="modal-body" >

          <div class="form-group">
            Start Date 
          <input type="date" name="start_time" class="form-control" placeholder="Start Date " required=""> 
        </div>

        <div class="form-group">
        Course Details
     <SELECT name="course" class="form-control" required=""  >
        <option selected="" disabled="">-- Select Course -- </option>
       <?php

       $get_course=mysqli_query($con,"SELECT * FROM courses");

       while ($course=mysqli_fetch_array($get_course)) {
        echo "<option value=".$course['id'].">".$course['name']."-- ".$course['code']."</option>";
       }

        ?>
        
      </SELECT>
    </div>

        <div class="form-group">
        Status
      <SELECT name="status" class="form-control" required="" >
        <option selected="" disabled="">-- Select Intake Status -- </option>
        <option value="1"> On Going </option>
        <option value="0"> Closed </option>
        
      </SELECT>
    </div>


        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" type="submit">Add Intake </button>
        </div>

        </form>
      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/chart.js/Chart.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/chart-area-demo.js"></script>
  <script src="js/demo/chart-pie-demo.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/datatables/jquery.dataTables.min.js"></script>
  <script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/datatables-demo.js"></script>

<script>
  
  function addnewintake(){
$("#addintake").modal("show");

  }


  function changestatus(id,status){
let r=confirm("Do you want to change the status of this inatake?");

if (r==true) {
$.post( "changeintakestatus.php", { id: id, status: status })
  .done(function( data ) {
     location.reload(true);
    alert( data );
    // location.reload(true);
  });

}else{

}

  }

    function deleteintake(id){
let r=confirm("Do you want to Delete  this inatake?");

if (r==true) {
$.post( "deleteitake.php", { id: id})
  .done(function( data ) {
     location.reload(true);
    // alert( data );
    // location.reload(true);
  });

}else{

}

  }
</script>


</body>

</html>
