<?php 
include 'session.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SISFM Applications - Courses </title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet"> -->

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
  <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
 <?php
include "sidebar.php";

  ?>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
       <?php 


       include "header.php";?>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Courses</h1>
            <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm" onclick="addcourse()"><i class="fas fa-download fa-sm text-white-50" ></i> Add New Course</a>
          </div>

          <!-- Content Row -->
           <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">Courses</h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <?php
                    if (isset($_GET['err'])) {
                     echo "<div class='alert alert-danger'> ".$_GET['err']."</div>";
                    }

                      if (isset($_GET['msg'])) {
                     echo "<div class='alert alert-success'> ".$_GET['msg']."</div>";
                    }
                    ?>
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>S/N</th>
                      <th>Name</th>
                      <th>Duration</th>
                      <th>Code</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>S/N</th>
                     <th>Name</th>
                      <th>Duration</th>
                      <th>Code</th>
                      <th>Action</th>
                    </tr>
                  </tfoot>
                  <tbody>

                    <?php 
$query=mysqli_query($con,"SELECT * FROM courses ORDER BY name ASC") ;

if (mysqli_num_rows($query)>0) {

  $i=1;
  while($row=mysqli_fetch_array($query)){
  echo '
<tr>
                      <td>'.$i++.'</td>
                      <td>'.$row['name'].'</td>
                      <td>'.$row['duration'].'</td>
                      <td>'.$row['couse_code'].'</td>
                      <td>
                        <div class="dropdown mb-4">
                    <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      Action
                    </button>
                    <div class="dropdown-menu animated--fade-in" aria-labelledby="dropdownMenuButton">
                      <a class="dropdown-item" href="#" onclick="editcourse('.$row['id'].')">Edit</a>
                      <a class="dropdown-item" href="#" onclick="deletecourse('.$row['id'].')">Delete</a>
                    </div>
                  </div>
                      </td>
                    </tr>

  ';

}




}else{
  echo 'No Results Found';
}

                    ?>

                    
                  
                  </tbody>
                </table>
              </div>
            </div>
          </div>

          


        

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
  <?php
  include 'footer.php'; 
  ?>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="addcourse" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Add New Course </h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">

 <form method="POST" action="addcourse.php">
        <div class="modal-body" >

          <div class="form-group">
            Course Name 
          <input type="text" name="name" class="form-control" placeholder="Course Name " required=""> 
        </div>

        <div class="form-group">
        Course Duration
     <input type="text" name="duration" class="form-control" placeholder="Course Duration " required=""> 
    </div>

        <div class="form-group">
       Course Code
      <input type="text" name="code" class="form-control" placeholder="Course Code " required=""> 
    </div>


        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" type="submit">Add Course </button>
        </div>

        </form>




</div>
       
      </div>
    </div>
  </div>

  <!-- Logout Modal-->
  <div class="modal fade" id="editcourse" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Edit Course </h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">

 <form method="POST" action="updatecourse.php">
        <div class="modal-body" >

          <div class="form-group">
            Course Name 
          <input type="text" name="name" id="name" class="form-control" placeholder="Course Name " required=""> 
        </div>

        <div class="form-group">
        Course Duration
     <input type="text" name="duration" id="duration" class="form-control" placeholder="Course Duration " required=""> 
    </div>

        <div class="form-group">
       Course Code
      <input type="text" name="code" id="code" class="form-control" placeholder="Course Code " required=""> 
    </div>
    <input type="hidden" name="id" id="id">

        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" type="submit">Update Course </button>
        </div>

        </form>




</div>
       
      </div>
    </div>
  </div>








  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/chart.js/Chart.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/chart-area-demo.js"></script>
  <script src="js/demo/chart-pie-demo.js"></script>

  <!-- Page level plugins -->
  <script src="vendor/datatables/jquery.dataTables.min.js"></script>
  <script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

  <!-- Page level custom scripts -->
  <script src="js/demo/datatables-demo.js"></script>

  <script>
    function addcourse(){
    $("#addcourse").modal("show");
    }


    function editcourse(id){
      $.post( "getcoursedetails.php", { id: id})
  .done(function(data) {
    var response = jQuery.parseJSON(data);
      $("#editcourse").modal("show");
      $("#name").val(response['name']);
      $("#duration").val(response['duration']);
      $("#code").val(response['code']);
      $("#id").val(response['id']);

  },"json");
    }


        function deletecourse(id){
let r=confirm("Do you want to Delete  this Course?");

if (r==true) {
$.post( "deletecourse.php", { id: id})
  .done(function( data ) {
     location.reload(true);
    // alert( data );
    // location.reload(true);
  });

}else{

}

  }
  </script>

</body>

</html>
